configure: [loongson] revert no-expensive-optimizations
authorShiyou Yin <yinshiyou-hf@loongson.cn>
Fri, 24 Aug 2018 09:22:12 +0000 (17:22 +0800)
committerMichael Niedermayer <michael@niedermayer.cc>
Mon, 27 Aug 2018 21:30:54 +0000 (23:30 +0200)
commite13e52fd0de68f2805e2e8a83d00ee28f9000c8a
tree128913f9f22d45272745e24dd47bb78bc5ebf405
parentad2ac1e7dd9053bf07225f7e9be29c7d2cbdeaf1
configure: [loongson] revert no-expensive-optimizations

Add gcc version check before add -fno-expensive-optimizations flag.
Only when gcc version is lower than 5.3.0, this flag is needed.
More bug info see:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=67736
https://gcc.gnu.org/ml/gcc-patches/2012-05/msg00401.html

Signed-off-by: Shiyou Yin <yinshiyou-hf@loongson.cn>
Signed-off-by: Michael Niedermayer <michael@niedermayer.cc>
configure